Skip to main content
`Ctrl`+`K`

# `convolution`: Convolution

Module for convolution on CPU/GPU.

class Convolution(shape, kernel, axes=None, mode=None, ctx=None, devicetype='all', platformid=None, deviceid=None, profile=False, extra_options=None)

  Bases: `OpenclProcessing`

  A class for performing convolution on CPU/GPU with OpenCL.

  convolve(array, output=None)

    Convolve an array with the class kernel.

    Parameters:

      - array – Input array. Can be numpy.ndarray or pyopencl.array.Array.

      - output – Output array. Can be numpy.ndarray or pyopencl.array.Array.